关闭

ThinkPHP3.2引入easywechat的方法

来源:网络 文章列表 2021-11-13 8
虽然thinkphp3.2已经过时很久了,但还是有很多老的项目在用,而且并没有升级的计划。但又免不了会用到一些新的类库包,而现在的类库包都是通过composer来安装的,下面就介绍一下怎么在thinkphp3.2中引入composer安装的包。

虽然thinkphp3.2已经过时很久了,但还是有很多老的项目在用,而且并没有升级的计划。但又免不了会用到一些新的类库包,而现在的类库包都是通过composer来安装的,下面就介绍一下怎么在thinkphp3.2中引入composer安装的包。

composer安装

各种扩展类库的官网都会有composer安装的命令,只需要在thinkphp3.2项目的根目录,用命令行输入安装命令就可以完成安装。如easywechat的安装命令如下:

composer require overtrue/wechat:~4.0 -vvv

 

类库引入

composer安装完成后会在根目录生成一个vendor文件夹,项目需要的类库文件都在里面,vendor文件夹内有一个autoload.php文件,只需要在thinkphp3.2的入问文件内引入这个autoload.php文件就可以引入所有需要的类库了。

//引入composer类库
require './vendor/autoload.php';
// 引入ThinkPHP入口文件
require './ThinkPHP/ThinkPHP.php';

 

如您看完博文,仍不会的话,本站长提供付费技术支持服务,价格不高! 立即咨询

腾讯云限量秒杀

1核2G 5M 50元/年 2核4G 8M 74元/年 4核8G 5M 818元/年 CDN流量包 100GB 9元

版权声明

本站部分原创文章,部分文章整理自网络。如有转载的文章侵犯了您的版权,请联系站长删除处理。如果您有优质文章,欢迎发稿给我们!联系站长:
愿本站的内容能为您的学习、工作带来绵薄之力。

评论

  • 随机获取
点击刷新
精彩评论